## INTRODUCTION

The Webform HotDocs module provides an integration between the Webform module
and HotDocs, a document automation tool.

The primary use case for this module is to allow Webforms to provide data to a
document in HotDocs, prefilling the document with the data entered by the
submitter of a Webform.

## REQUIREMENTS

- The Webform module
- Though not a requirement, the Encrypt module is recommended for storing the
  HotDocs service principal password securely.

## INSTALLATION

Install as you would normally install a contributed Drupal module.
See: https://www.drupal.org/node/895232 for further information.

## CONFIGURATION
- Navigate to overall Webform settings (admin/structure/webform/config) and,
  under the "Third party settings" heading, find the "HotDocs" settings.
- Configure the API base URL, version, tenancy moniker, service principal
  details, and workgroup ID coming from HotDocs.
- Save the settings.
- In an individual Webform, add the "HotDocs" handler to configure its specific
  settings, mapping field values from the Webform to the HotDocs document.

## MAINTAINERS

Current maintainers:

- Kurt Trowbridge (kurttrowbridge) - https://www.drupal.org/u/kurttrowbridge
